[PATCH] winsup/doc/faq-what.xml: FAQ 1.2 Windows versions supported

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[PATCH] winsup/doc/faq-what.xml: FAQ 1.2 Windows versions supported

Brian Inglis
Based on thread https://cygwin.com/pipermail/cygwin/2020-September/246318.html
enumerate Vista, 7, 8, 10 progression to be clear, and earliest server 2008
---
 winsup/doc/faq-what.xml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/winsup/doc/faq-what.xml b/winsup/doc/faq-what.xml
index ea8496ccbc65..09747532c2e8 100644
--- a/winsup/doc/faq-what.xml
+++ b/winsup/doc/faq-what.xml
@@ -30,9 +30,9 @@ They can be used from one of the provided Unix shells like bash, tcsh or zsh.
 <question><para>What versions of Windows are supported?</para></question>
 <answer>
 
-<para>Cygwin can be expected to run on all modern, released versions of Windows.
-State January 2016 this includes Windows Vista, Windows Server 2008 and all
-later versions of Windows up to Windows 10 and Windows Server 2016.
+<para>Cygwin can be expected to run on all modern, released versions of Windows,
+from Windows Vista, 7, 8, 10, Windows Server 2008, and all
+later versions of Windows.
 The 32 bit version of Cygwin also runs in the WOW64 32 bit environment on
 released 64 bit versions of Windows, the 64 bit version of course only on
 64 bit Windows.
--
2.28.0

Reply | Threaded
Open this post in threaded view
|

Re: [PATCH] winsup/doc/faq-what.xml: FAQ 1.2 Windows versions supported

cygwin-patches mailing list
On 9/17/2020 2:29 PM, Brian Inglis wrote:

> Based on thread https://cygwin.com/pipermail/cygwin/2020-September/246318.html
> enumerate Vista, 7, 8, 10 progression to be clear, and earliest server 2008
> ---
>   winsup/doc/faq-what.xml | 6 +++---
>   1 file changed, 3 insertions(+), 3 deletions(-)
>
> diff --git a/winsup/doc/faq-what.xml b/winsup/doc/faq-what.xml
> index ea8496ccbc65..09747532c2e8 100644
> --- a/winsup/doc/faq-what.xml
> +++ b/winsup/doc/faq-what.xml
> @@ -30,9 +30,9 @@ They can be used from one of the provided Unix shells like bash, tcsh or zsh.
>   <question><para>What versions of Windows are supported?</para></question>
>   <answer>
>  
> -<para>Cygwin can be expected to run on all modern, released versions of Windows.
> -State January 2016 this includes Windows Vista, Windows Server 2008 and all
> -later versions of Windows up to Windows 10 and Windows Server 2016.
> +<para>Cygwin can be expected to run on all modern, released versions of Windows,
> +from Windows Vista, 7, 8, 10, Windows Server 2008, and all
> +later versions of Windows.
>   The 32 bit version of Cygwin also runs in the WOW64 32 bit environment on
>   released 64 bit versions of Windows, the 64 bit version of course only on
>   64 bit Windows.

Since this is something that changes over time, I don't think you should drop
the date completely, though I see no reason to retain "January 2016".  What
would you think of revising your patch so that the text says something like this:

"Cygwin can be expected to run on all modern, released versions of Windows.  As
of September 2020 this includes Windows Vista, 7, 8, 8.1, and 10, Windows Server
2008, and all later versions of Windows Server."

Ken
Reply | Threaded
Open this post in threaded view
|

Re: [PATCH] winsup/doc/faq-what.xml: FAQ 1.2 Windows versions supported

Brian Inglis
On 2020-09-17 16:22, Ken Brown via Cygwin-patches wrote:

> On 9/17/2020 2:29 PM, Brian Inglis wrote:
>> Based on thread https://cygwin.com/pipermail/cygwin/2020-September/246318.html
>> enumerate Vista, 7, 8, 10 progression to be clear, and earliest server 2008
>> ---
>>   winsup/doc/faq-what.xml | 6 +++---
>>   1 file changed, 3 insertions(+), 3 deletions(-)
>>
>> diff --git a/winsup/doc/faq-what.xml b/winsup/doc/faq-what.xml
>> index ea8496ccbc65..09747532c2e8 100644
>> --- a/winsup/doc/faq-what.xml
>> +++ b/winsup/doc/faq-what.xml
>> @@ -30,9 +30,9 @@ They can be used from one of the provided Unix shells like
>> bash, tcsh or zsh.
>>   <question><para>What versions of Windows are supported?</para></question>
>>   <answer>
>>   -<para>Cygwin can be expected to run on all modern, released versions of
>> Windows.
>> -State January 2016 this includes Windows Vista, Windows Server 2008 and all
>> -later versions of Windows up to Windows 10 and Windows Server 2016.
>> +<para>Cygwin can be expected to run on all modern, released versions of Windows,
>> +from Windows Vista, 7, 8, 10, Windows Server 2008, and all
>> +later versions of Windows.
>>   The 32 bit version of Cygwin also runs in the WOW64 32 bit environment on
>>   released 64 bit versions of Windows, the 64 bit version of course only on
>>   64 bit Windows.
>
> Since this is something that changes over time, I don't think you should drop
> the date completely, though I see no reason to retain "January 2016".  What
> would you think of revising your patch so that the text says something like this:
>
> "Cygwin can be expected to run on all modern, released versions of Windows.  As
> of September 2020 this includes Windows Vista, 7, 8, 8.1, and 10, Windows Server
> 2008, and all later versions of Windows Server."

No problem with adding 8.1 explicitly if deemed desirable.
See suggested wording - keeping similar wording the same problem recurs each
month - wanna change it monthly? ;^>
Would not want to limit later versions to just Server, and omitted versions
because now Server versions are like W10 updates e.g. WS version 2004, which is
stupid and confusing, as it looks 16 years old!

Damn you for making me think about this! ;^>
We now probably have to add exclusions for Windows S and also mention ARM under
Cygwin32.

Anyone out there interested in starting a Cygwin Windows ARM64 port (and
toolchain fixes for PE/COFF ARM64/AAarch64 machine type 0xAA64 if needed)?

--
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in IEC units and prefixes, physical quantities in SI.]